Tìm kiếm báo cáo
curl --request GET \
--url https://api.fireant.vn/reports/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/reports/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/reports/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"reports": [
{
"reportID": 123,
"categoryID": 123,
"sourceID": 123,
"sourceName": "<string>",
"sectorID": 123,
"symbol": "<string>",
"title": "<string>",
"description": "<string>",
"date": "2023-11-07T05:31:56Z",
"pages": 123,
"size": 123,
"fileName": "<string>",
"fileExtension": "<string>",
"language": "<string>",
"downloads": 123,
"isHot": true
}
]
}Reports
Tìm kiếm báo cáo
GET
/
reports
/
search
Tìm kiếm báo cáo
Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
Thời gian bắt đầu
Thời gian kết thúc
Danh mục báo cáo (bỏ qua nếu muốn tìm tất cả)
Nguồn báo cáo (bỏ qua nếu muốn tìm tất cả)
Lĩnh vực báo cáo (bỏ qua nếu muốn tìm tất cả)
Mã chứng khoán (bỏ qua nếu muốn tìm tất cả)
Từ khóa tìm kiếm
Xếp hạng
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)